package com.tencent.qcloud.tuikit.tuichat.bean.message;

import android.text.TextUtils;

import com.google.gson.Gson;
import com.tencent.imsdk.v2.V2TIMMessage;
import com.tencent.qcloud.tuikit.timcommon.bean.TUIMessageBean;
import com.tencent.qcloud.tuikit.timcommon.bean.TUIReplyQuoteBean;
import com.tencent.qcloud.tuikit.tuichat.R;
import com.tencent.qcloud.tuikit.tuichat.TUIChatService;
import com.tencent.qcloud.tuikit.tuichat.bean.CustomHelloMessage;
import com.tencent.qcloud.tuikit.tuichat.bean.message.reply.CustomLinkReplyQuoteBean;
import com.tencent.qcloud.tuikit.tuichat.util.TUIChatLog;

public class CustomLinkMessageBean extends TUIMessageBean {

    private CustomHelloMessage customHelloMessage;

    @Override
    public String onGetDisplayString() {
        return "[方案]" + customHelloMessage.title;
    }

    @Override
    public void onProcessMessage(V2TIMMessage v2TIMMessage) {
        String data = new String(v2TIMMessage.getCustomElem().getData());
        if (!TextUtils.isEmpty(data)) {
            try {
                customHelloMessage = new Gson().fromJson(data, CustomHelloMessage.class);
            } catch (Exception e) {
                TUIChatLog.e("CustomLinkMessageBean", "exception e = " + e);
            }
        }
        if (customHelloMessage != null) {
            setExtra(customHelloMessage.text);
        } else {
            String text = TUIChatService.getAppContext().getString(R.string.no_support_msg);
            setExtra(text);
        }
    }

    public String getText() {
        if (customHelloMessage != null) {
            return customHelloMessage.text;
        }
        return getExtra();
    }

    public String getLink() {
        if (customHelloMessage != null) {
            return customHelloMessage.link;
        }
        return "";
    }

    public String getTitle() {
        if (customHelloMessage != null) {
            return customHelloMessage.title;
        }
        return "";
    }

    public String getTime() {
        if (customHelloMessage != null) {
            return customHelloMessage.time;
        }
        return "";
    }

    public String getOthers() {
        if (customHelloMessage != null) {
            return customHelloMessage.others;
        }
        return "";
    }

    public String getSchemaId() {
        if (customHelloMessage != null) {
            return customHelloMessage.schemeID;
        }
        return "";
    }

    public int getType(){
        if (customHelloMessage != null) {
            return customHelloMessage.type;
        }
        return 0;
    }

    public String getDesc(){
        if (customHelloMessage != null) {
            return customHelloMessage.desc;
        }
        return "";
    }

    public String getOrgName() {
        if (customHelloMessage != null) {
            return customHelloMessage.orgName;
        }
        return "";
    }
    public String getImageUrl() {
        if (customHelloMessage != null) {
            return customHelloMessage.imageUrl;
        }
        return "";
    }

    public String getMyUserId(){
        if (customHelloMessage != null) {
            return customHelloMessage.userId;
        }
        return "";
    }

    @Override
    public Class<? extends TUIReplyQuoteBean> getReplyQuoteBeanClass() {
        return CustomLinkReplyQuoteBean.class;
    }
}
