package com.tencent.qcloud.tuikit.tuichat.classicui.widget.message.viewholder;

import android.content.Intent;
import android.graphics.Color;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;

import com.bumptech.glide.Glide;
import com.bumptech.glide.request.RequestOptions;
import com.tencent.qcloud.tuicore.util.ScreenUtil;
import com.tencent.qcloud.tuikit.timcommon.bean.TUIMessageBean;
import com.tencent.qcloud.tuikit.timcommon.classicui.widget.message.MessageContentHolder;
import com.tencent.qcloud.tuikit.timcommon.component.impl.GlideEngine;
import com.tencent.qcloud.tuikit.tuichat.R;
import com.tencent.qcloud.tuikit.tuichat.TUIChatService;
import com.tencent.qcloud.tuikit.tuichat.bean.CustomHelloMessage;
import com.tencent.qcloud.tuikit.tuichat.bean.message.CustomLinkMessageBean;


public class CustomLinkMessageHolder extends MessageContentHolder {
    private TextView tvTitle;
    private TextView tvContent;
    private TextView tvOrgName;
    private ImageView imageUrlView;
    private TextView tvOthers;
    private OnProgrammeItemClickListener listener;

    public OnProgrammeItemClickListener getListener() {
        return listener;
    }

    public void setListener(OnProgrammeItemClickListener listener) {
        this.listener = listener;
    }

    public CustomLinkMessageHolder(View itemView) {
        super(itemView);
        tvTitle = itemView.findViewById(R.id.tvTitle);
        tvContent = itemView.findViewById(R.id.tvContent);
        tvOrgName = itemView.findViewById(R.id.tvOrgName);
        imageUrlView = itemView.findViewById(R.id.imageUrl);
        tvOthers = itemView.findViewById(R.id.tvOther);
    }

    public static final String TAG = CustomLinkMessageHolder.class.getSimpleName();

    @Override
    public int getVariableLayout() {
        return R.layout.test_custom_message_layout1;
    }

    @Override
    public void layoutVariableViews(TUIMessageBean msg, int position) {
        String title = "";
        String content = "";
        String orgName = "";
        String schemaId = "";
        String imageUrl = "";
        String others = "";
        String time = "";
        if (msg instanceof CustomLinkMessageBean) {
            CustomLinkMessageBean bean = (CustomLinkMessageBean) msg;
            title = ((CustomLinkMessageBean) msg).getTitle();
            time = ((CustomLinkMessageBean) msg).getTime();
            content = ((CustomLinkMessageBean) msg).getText();
            orgName = ((CustomLinkMessageBean) msg).getOrgName();
            schemaId = ((CustomLinkMessageBean) msg).getId();
            imageUrl = ((CustomLinkMessageBean) msg).getImageUrl();
            others = ((CustomLinkMessageBean) msg).getOthers();

            if("[运动方案]".equals(bean.getDesc())){
                tvTitle.setText(title);
                tvContent.setText(time);
                tvOrgName.setText(orgName);
                tvOthers.setText(content);
            }else {
                tvTitle.setText(title);
                tvContent.setText(content);
                tvOrgName.setText(orgName);
                tvOthers.setText(others);
            }


            Glide.with(imageUrlView.getContext())
                    .load(imageUrl)
                    .into(imageUrlView);
            getCardView().setCardElevation(ScreenUtil.dip2px(8));
            getCardView().setRadius(ScreenUtil.dip2px(10));
            setHighLightBackground(Color.WHITE);
        }

//        if (!msg.isSelf()) {
//            textView.setTextColor(textView.getResources().getColor(TUIThemeManager.getAttrResId(textView.getContext(), R.attr.chat_other_custom_msg_text_color)));
//            linkView.setTextColor(textView.getResources().getColor(TUIThemeManager.getAttrResId(textView.getContext(), R.attr.chat_other_custom_msg_link_color)));
//        } else {
//            textView.setTextColor(textView.getResources().getColor(TUIThemeManager.getAttrResId(textView.getContext(), R.attr.chat_self_custom_msg_text_color)));
//            linkView.setTextColor(textView.getResources().getColor(TUIThemeManager.getAttrResId(textView.getContext(), R.attr.chat_self_custom_msg_link_color)));
//        }
//
//        textView.setText(text);
        msgContentFrame.setClickable(true);
//        String finalLink = link;
//        String finalSchemaId = schemaId;

        msgContentFrame.setOnClickListener(v -> {
            if (msg instanceof CustomLinkMessageBean) {
                try {
                    CustomLinkMessageBean bean = (CustomLinkMessageBean) msg;

                    if (TextUtils.isEmpty(bean.getDesc())) {
                        Class<?> clz = Class.forName("com.xty.mime.act.ProgeammeDetailAct");
                        Intent intent = new Intent(tvTitle.getContext(), clz);
                        Bundle bundle = new Bundle();
                        bundle.putString("id", bean.getSchemaId());
                        intent.putExtras(bundle);
                        tvTitle.getContext().startActivity(intent);
                    }else if("[运动方案]".equals(bean.getDesc())){
                        Class<?> clz = Class.forName("com.xty.mime.act.SportDetailAct");
                        Intent intent = new Intent(tvTitle.getContext(), clz);
                        Bundle bundle = new Bundle();
                        bundle.putString("userId", bean.getUserId());
                        bundle.putString("id", bean.getSchemaId());
                        intent.putExtras(bundle);
                        tvTitle.getContext().startActivity(intent);
                    }
                } catch (ClassNotFoundException e) {
                    e.printStackTrace();
                }
            }
        });
    }

    public class OnProgrammeItemClickListener implements View.OnClickListener {
        public String id;

        public OnProgrammeItemClickListener(String id) {
            this.id = id;
        }

        @Override
        public void onClick(View v) {
            try {
                Class<?> clz = Class.forName("com.xty.mime.act.ProgeammeDetailAct");
                Intent intent = new Intent(tvTitle.getContext(), clz);
                Bundle bundle = new Bundle();
                bundle.putString("id", id);
                intent.putExtras(bundle);
                tvTitle.getContext().startActivity(intent);
            } catch (ClassNotFoundException e) {
                e.printStackTrace();
            }
        }
    }
}
